import { select } from 'd3'

const proxyUrl = 'https://cors-anywhere.herokuapp.com/'
const overviewUrl = 'https://npropendata.rdw.nl/parkingdata/v2/'

const svg = select('svg')
const margin = {top: 48, right: 72, bottom: 220, left: 72}
const height = parseInt(svg.style('height'), 10) - margin.top - margin.bottom
const width = parseInt(svg.style('width'), 10) - margin.left - margin.right

const group = svg
  .append('g')
  .attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

const x = d3.scaleBand().padding(0.2)
const y = d3.scaleLinear()
//This settings object is a nice way to encapsulate settings for your program
const settings = {
	useTestData: true 
}